package cn.com.qmth.examcloud.core.oe.admin.dao.entity;

import cn.com.qmth.examcloud.core.oe.admin.dao.enums.WarnType;
import cn.com.qmth.examcloud.web.jpa.JpaEntity;

import javax.persistence.*;

/**
 * 考试记录异常信息表
 */
@Entity
@Table(name = "ec_oe_exam_warn", indexes = {
        @Index(name = "IDX_01", columnList = "examRecordDataId"),
        @Index(name = "IDX_02", columnList = "warnType")
})
public class ExamWarnEntity extends JpaEntity {

    private static final long serialVersionUID = -6330756328920243183L;

    @Id
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    private Long id;

    /**
     * ec_oe_exam_record_data ID
     */
    @Column(nullable = false)
    private Long examRecordDataId;

    /**
     * 异常类型
     */
    @Column(length = 50, nullable = false)
    @Enumerated(EnumType.STRING)
    private WarnType warnType;

    /**
     * 异常详情
     */
    @Column(length = 100)
    private String warnDetail;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getExamRecordDataId() {
        return examRecordDataId;
    }

    public void setExamRecordDataId(Long examRecordDataId) {
        this.examRecordDataId = examRecordDataId;
    }

    public WarnType getWarnType() {
        return warnType;
    }

    public void setWarnType(WarnType warnType) {
        this.warnType = warnType;
    }

    public String getWarnDetail() {
        return warnDetail;
    }

    public void setWarnDetail(String warnDetail) {
        this.warnDetail = warnDetail;
    }

}
