package cn.com.qmth.examcloud.core.oe.admin.service;

import cn.com.qmth.examcloud.core.oe.admin.dao.entity.ExamRecordDataEntity;
import cn.com.qmth.examcloud.core.oe.admin.service.bean.ExamStudentEffectiveScoreInfo;
import cn.com.qmth.examcloud.core.oe.admin.service.bean.UserDataRules;
import cn.com.qmth.examcloud.core.oe.admin.service.bean.examrecord.ExamRecordQuery;
import cn.com.qmth.examcloud.core.oe.admin.service.bean.examrecord.ExamStudentQuestionScoreInfo;

import java.util.List;

/**
 * 考试记录接口
 *
 * @since: 2018/8/15
 */
public interface ExamRecordService {

    /**
     * 获取某个考生的考试记录列表
     *
     * @param examStudentId
     * @return
     */
    List<ExamRecordDataEntity> getExamRecordListByExamStudentId(Long examStudentId);

    /**
     * 查询“考试明细” 是否存在待审数据
     *
     * @param query
     * @return
     */
    Long existsWarnExamRecordDetail(UserDataRules uds, ExamRecordQuery query);

    /**
     * 根据考试id和课程代码获取学生作答成绩
     *
     * @param examId
     * @param courseCode
     * @return
     */
    List<ExamStudentQuestionScoreInfo> getExamStudentQuestionScoreList(Long examId, String courseCode);

    /**
     * 获取考生的最终有效成绩
     *
     * @param markingType
     * @param examStudentIdList
     * @return
     */
    List<ExamStudentEffectiveScoreInfo> getExamStudentEffectiveScoreList(String markingType, List<Long> examStudentIdList);

}
